/'
MuSIX MP3 Player - v1.0
Copyright (c) Arnel A. Borja
Email: galeon@ymail.com
Website: www.galeon.exofire.net

MuSIX MP3 Player License
  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 2 of the License, or (at your option) any later 
  version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place, Suite 330, Boston, MA 02111-1307 USA.
'/

#Define NOMINMAX
#Include Once "windows.bi"
#Include Once "win/commctrl.bi"
#Include Once "fmod.bi"
#Include Once "vbcompat.bi"

#Include Once "resource.bi"
#Include Once "RegLib.bi"
#Include Once "Extern.bi"

#Include Once "player.bi"
#Include Once "reglib.bi"
#Include Once "settings.bi"
#Include Once "systray.bi"

'' Var-len strings cannot be initialized in '}'... Whatever...
Dim MainLangTableDefaults(1 To 7) As String
MainLangTableDefaults(1) = "MuSIX MP3 Player"
MainLangTableDefaults(2) = "Current File Details"
MainLangTableDefaults(3) = "Artist:"
MainLangTableDefaults(4) = "Title:"
MainLangTableDefaults(5) = "Album:"
MainLangTableDefaults(6) = "OK"
MainLangTableDefaults(7) = "Settings"

Dim MainLangTableIds(1 To 7) As UInteger = { _
IDD_DLGMU6, IDC_GRPDETAILS, IDC_STCARTIST, _
IDC_STCTITLE, IDC_STCALBUM, IDC_BTNOK, IDC_BTNSETTINGS _
}

Dim SettingsLangTableDefaults(1 To 12) As String
SettingsLangTableDefaults( 1) = "Mu6 Settings"
SettingsLangTableDefaults( 2) = "OK"
SettingsLangTableDefaults( 3) = "About"
SettingsLangTableDefaults( 4) = "Mu6 Playlist:"
SettingsLangTableDefaults( 5) = "Mix Rate:"
SettingsLangTableDefaults( 6) = "Max Channels:"
SettingsLangTableDefaults( 7) = "Init Flags:"
SettingsLangTableDefaults( 8) = "Buffer Size:"
SettingsLangTableDefaults( 9) = "Enable Language"
SettingsLangTableDefaults(10) = "Startup at Logon"
SettingsLangTableDefaults(11) = "DrvAutoRun"
SettingsLangTableDefaults(12) = "Single Instance"

Dim SettingsLangTableIds(1 To 12) As UInteger = { _
IDD_DLGSETTINGS, IDC_BTNOKSET, IDC_BTNABOUT, IDC_STCPLAYLIST, _
IDC_STCMIXRATE, IDC_STCCHANNELS, IDC_STCFLAGS, IDC_STCBUFFER, _
IDC_CHKLANG, IDC_CHKRUNLOGON, IDC_CHKDRVAUTORUN, IDC_CHKSININST _
}

Dim LogonRunReg As RegKey = RegKey( HKEY_LOCAL_MACHINE, "SOFTWARE\Microsoft\Windows\CurrentVersion\Run" )
Dim Mu6SysTray As NOTIFYICONDATA
Dim mp3table(  ) As String
Dim Settings As Mu6Settings
Dim Data_ As Mu6Data
Dim Handles As Mu6Handles
Dim Mu6MutexName As ZString * 15
Dim Mu6Path As ZString * MAX_PATH
Dim Mu6IniFile As ZString * MAX_PATH
Dim Playlist As ZString * MAX_PATH
Dim PlaylistBuffer As ZString * MAX_PATH
Dim Mu6WndPlacement As WINDOWPLACEMENT

Dim Mu6Data As Mu6Data Ptr = @Data_
Dim Mu6Handles As Mu6Handles Ptr = @Handles

Mu6Data->Settings = @Settings
Mu6Data->Settings->Playlist = @Playlist
Mu6Data->Path = @Mu6Path
Mu6Data->IniFile = @Mu6IniFile
Mu6Data->MutexName = @Mu6MutexName
Mu6Data->SysTray = @Mu6SysTray
Mu6Data->WndPlacement = @Mu6WndPlacement
/'
Delete:
Mu6Data->Settings
'/

Dim OldUrlProc As Any Ptr
Dim fMouseOver As BOOL
Dim hUrlFont As HFONT
Dim hUrlFontU As HFONT
Dim hUrlBrush As HBRUSH
