/'
MuSIX MP3 Player - v1.0
Copyright (c) Arnel A. Borja
Email: galeon@ymail.com
Website: www.galeon.exofire.net

MuSIX MP3 Player License
  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 2 of the License, or (at your option) any later 
  version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place, Suite 330, Boston, MA 02111-1307 USA.
'/

#Include "extern.bi"

Function Mu6SettingsProc( _
	ByVal hWin As HWND, _
	ByVal uMsg As UINT, _
	ByVal wParam As WPARAM, _
	ByVal lParam As LPARAM _
	) As Integer

	Select Case uMsg
		Case WM_INITDIALOG
			'' Initialize Language
			If (Mu6Data->Settings->Flags And MU6_SETTING_ENABLELANG) = MU6_SETTING_ENABLELANG Then InitLang( hWin, SettingsLangTableIds(  ), SettingsLangTableDefaults(  ) )

			'' Setup settings
			SetDlgItemText( hWin, IDC_EDTPLAYLIST, FixPath( *(Mu6Data->Settings->Playlist) ) )
			SetDlgItemInt( hWin, IDC_EDTMIXRATE, Mu6Data->Settings->MixRate, FALSE )
			SetDlgItemInt( hWin, IDC_EDTCHANNELS, Mu6Data->Settings->MaxChannels, FALSE )
			SetDlgItemInt( hWin, IDC_EDTFLAGS, Mu6Data->Settings->InitFlags, FALSE )
			SetDlgItemInt( hWin, IDC_EDTBUFFER, Mu6Data->Settings->BufferSize, FALSE )

			If (Mu6Data->Settings->Flags And MU6_SETTING_ENABLELANG ) = MU6_SETTING_ENABLELANG Then
				CheckDlgButton( hWin, IDC_CHKLANG, BST_CHECKED )
			Else
				CheckDlgButton( hWin, IDC_CHKLANG, BST_UNCHECKED )
			End If

			If (Mu6Data->Settings->Flags And MU6_SETTING_NOMULTIINST ) = MU6_SETTING_NOMULTIINST Then
				CheckDlgButton( hWin, IDC_CHKSININST, BST_CHECKED )
			Else
				CheckDlgButton( hWin, IDC_CHKSININST, BST_UNCHECKED )
			End If

			If LogonRunReg.getStringValue( "Mu6 MP3 Player" ) = """" & *(Mu6Data->Path) & """ /min" Then
				CheckDlgButton( hWin, IDC_CHKRUNLOGON, BST_CHECKED )
			Else
				CheckDlgButton( hWin, IDC_CHKRUNLOGON, BST_UNCHECKED )
			End If

			GetPrivateProfileString( "AutoRun", "open", "", Mu6Data->Path, MAX_PATH, Left( ExePath, 3 ) & "Autorun.inf" )
			If *(Mu6Data->Path) = ExePath & "\Mu6.exe" Then
				CheckDlgButton( hWin, IDC_CHKDRVAUTORUN, BST_CHECKED )
			Else
				CheckDlgButton( hWin, IDC_CHKDRVAUTORUN, BST_UNCHECKED )
			End If
			*(Mu6Data->Path) = ExePath & "\Mu6.exe"
			'
		Case WM_COMMAND
			Select Case HiWord( wParam )
				Case BN_CLICKED

					Select Case LoWord( wParam )
						Case IDC_BTNOKSET
							GetDlgItemText( hWin, IDC_EDTPLAYLIST, PlaylistBuffer, SizeOf( *(Mu6Data->Settings->Playlist) ) - 1 )
							If PlaylistBuffer <> FixPath(*(Mu6Data->Settings->Playlist)) Then
								*(Mu6Data->Settings->Playlist) = UnfixPath(PlaylistBuffer)
								WritePrivateProfileString( "Settings", "Playlist", UnfixPath( *(Mu6Data->Settings->Playlist) ), Mu6Data->IniFile )
								If MessageBox( hWin, "Do you want to use now the new playlist file?", "Playlist File Changed", MB_YESNO ) = IDYES Then
									If (Mu6Data->Status And MU6_DATA_PLAYING) = MU6_DATA_PLAYING Then StopPlay
									InitMu6
									PlayNow
									SetSongFields
								End If
							End If
							
							Mu6Data->Settings->MixRate = GetDlgItemInt( hWin, IDC_EDTMIXRATE, NULL, FALSE )
							Mu6Data->Settings->MaxChannels = GetDlgItemInt( hWin, IDC_EDTCHANNELS, NULL, FALSE )
							Mu6Data->Settings->InitFlags = GetDlgItemInt( hWin, IDC_EDTFLAGS, NULL, FALSE )
							Mu6Data->Settings->BufferSize = GetDlgItemInt( hWin, IDC_EDTBUFFER, NULL, FALSE )

							If IsDlgButtonChecked( hWin, IDC_CHKLANG ) = BST_CHECKED Then
								Mu6Data->Settings->Flags = Mu6Data->Settings->Flags Or MU6_SETTING_ENABLELANG
							Else
								Mu6Data->Settings->Flags = Mu6Data->Settings->Flags And Not MU6_SETTING_ENABLELANG
							End If

							If IsDlgButtonChecked( hWin, IDC_CHKSININST ) = BST_CHECKED Then
								Mu6Data->Settings->Flags = Mu6Data->Settings->Flags Or MU6_SETTING_NOMULTIINST
							Else
								Mu6Data->Settings->Flags = Mu6Data->Settings->Flags And Not MU6_SETTING_NOMULTIINST
							End If

							If IsDlgButtonChecked( hWin, IDC_CHKRUNLOGON ) = BST_CHECKED Then
								LogonRunReg.setStringValue( "Mu6 MP3 Player", """" & *(Mu6Data->Path) & """ /min" )
							Else
								LogonRunReg.deleteValue( "Mu6 MP3 Player" )
							End If

							If IsDlgButtonChecked( hWin, IDC_CHKDRVAUTORUN ) = BST_CHECKED Then
								WritePrivateProfileString( "AutoRun", "open", Mu6Data->Path, Left( ExePath, 3 ) & "Autorun.inf" )
								*(Mu6Data->Path) = ExePath & "\Mu6.exe"
							Else
								WritePrivateProfileString( "AutoRun", "open", NULL, Left( ExePath, 3 ) & "Autorun.inf" )
							End If

							Mu6Data->Settings->Flags = Mu6Data->Settings->Flags And Not MU6_SETTING_TEMP
							SaveMu6Settings
							SendMessage( hWin, WM_CLOSE, 0, 0 )
							'
						Case IDC_BTNBROWSE
							PlaylistBuffer = BrowseForFile( NULL, !"Mu6 Playlist File (*.mu6)\0*.mu6\0\0", "Select Playlist", OFN_FILEMUSTEXIST Or OFN_PATHMUSTEXIST )
							If PlaylistBuffer <> "" Then
								*(Mu6Data->Settings->Playlist) = PlaylistBuffer
								SetDlgItemText( hWin, IDC_EDTPLAYLIST, Mu6Data->Settings->Playlist )
							End If
							'
						Case IDC_BTNSETABOUT
							DialogBox( Mu6Handles->hInstance, Cast( ZString Ptr, IDD_DLGABOUT ), hWin, @AboutDlgProc )
							'
					End Select

			End Select
			'
		Case WM_CLOSE
			EndDialog( hWin, 0 )
			'
		Case WM_DESTROY
			'
		Case Else
			Return FALSE
			'
	End Select

	Return TRUE

End Function

Function AboutDlgProc( _
	ByVal hWin As HWND, _
	ByVal uMsg As UINT, _
	ByVal wParam As WPARAM, _
	ByVal lParam As LPARAM _
	) As Integer
	Dim lf As LOGFONT

	Select Case uMsg
		Case WM_INITDIALOG
			' Subclass the control
			OldUrlProc = Cast( Any Ptr, SetWindowLong( GetDlgItem( hWin, IDC_STCWEBSITE ), GWL_WNDPROC, Cast( Integer, @UrlProc ) ) )
			' Get dialogs font
			hUrlFont = Cast( HFONT, SendMessage( hWin, WM_GETFONT, 0, 0 ) )
			GetObject( hUrlFont, SizeOf(LOGFONT), @lf )
			' Create an underlined font
			lf.lfUnderline = TRUE
			hUrlFontU = CreateFontIndirect( @lf )
			' Create a back brush
			hUrlBrush = CreateSolidBrush( GetSysColor( COLOR_3DFACE ) )
			'
		Case WM_COMMAND
			Select Case HiWord( wParam )
				Case BN_CLICKED
					Select Case LoWord( wParam )
						Case IDC_BTNABOUTOK
							SendMessage( hWin, WM_CLOSE, NULL, NULL )
					End Select
			End Select
			'
		Case WM_CTLCOLORSTATIC
			If GetDlgItem( hWin, IDC_STCWEBSITE ) = lParam Then
				' Set Url control colors
				If fMouseOver Then
					SetTextColor( Cast( HDC, wParam ), &HFF0000 )
				Else
					SetTextColor( Cast( HDC, wParam ), 0 )
				EndIf
				SetBkMode( Cast( HDC, wParam ), TRANSPARENT )
				Return Cast( Integer, hUrlBrush )
			EndIf
			Return 0
		Case WM_CLOSE
			' Delete font
			DeleteObject( hUrlFontU )
			' Delete brush
			DeleteObject( hUrlBrush )
			EndDialog( hWin, 0 )
			'
		Case Else
			Return FALSE
			'
	End Select
	Return TRUE

End Function

Function UrlProc( _
	ByVal hWin As HWND, _
	ByVal uMsg As UINT, _
	ByVal wParam As WPARAM, _
	ByVal lParam As LPARAM _
	) As Integer
	Dim rect As RECT
	Dim buffer As ZString*128


	Select Case uMsg
		Case WM_MOUSEMOVE
			' Set the hand cursor
			SetCursor( LoadCursor( NULL, IDC_HAND ) )
			' Check if mouse is captured
			If GetCapture<>hWin Then
				' Mouse is not captured and is over the control
				fMouseOver = TRUE
				SetCapture( hWin )
				SendMessage( hWin, WM_SETFONT, Cast( Integer, hUrlFontU ), TRUE )
			Else
				' Mouse is captured
				' Check if mouse has left the control
				GetClientRect( hWin, @rect )
				If LoWord(lParam) > rect.right Or HiWord(lParam) > rect.bottom Then
					' Mouse has left the control
					fMouseOver = FALSE
					ReleaseCapture
					SendMessage( hWin, WM_SETFONT, Cast( Integer, hUrlFont ), TRUE )
				EndIf
			EndIf
			'
		Case WM_LBUTTONUP
			' Url was clicked
			fMouseOver = FALSE
			ReleaseCapture
			SendMessage( hWin, WM_SETFONT, Cast( Integer, hUrlFont ), TRUE )
			GetWindowText( hWin, @buffer, SizeOf( buffer ) )
			ShellExecute( hWin, StrPtr("Open"), @buffer, NULL, NULL, SW_SHOWNORMAL )
			'
	End Select
	Return CallWindowProc( OldUrlProc, hWin, uMsg, wParam, lParam)

End Function

Sub LoadMu6Settings( _
	)
	'' Get settings
	Mu6Data->Settings->Volume		= GetPrivateProfileInt( "Settings", "Volume", Mu6Data->Settings->Volume, Mu6Data->IniFile)
	Mu6Data->Settings->MixRate		= GetPrivateProfileInt( "Settings", "MixRate", Mu6Data->Settings->MixRate, Mu6Data->IniFile)
	Mu6Data->Settings->MaxChannels= GetPrivateProfileInt( "Settings", "MaxChannels", Mu6Data->Settings->MaxChannels, Mu6Data->IniFile)
	Mu6Data->Settings->InitFlags	= GetPrivateProfileInt( "Settings", "InitFlags", Mu6Data->Settings->InitFlags, Mu6Data->IniFile)
	Mu6Data->Settings->BufferSize	= GetPrivateProfileInt( "Settings", "BufferSize", Mu6Data->Settings->BufferSize, Mu6Data->IniFile)
	Mu6Data->LastSong					= GetPrivateProfileInt( "Settings", "LastSong", Mu6Data->LastSong, Mu6Data->IniFile)
	If GetPrivateProfileInt( "Settings", "EnableLang", 0, Mu6Data->IniFile) Then
		Mu6Data->Settings->Flags	= Mu6Data->Settings->Flags Or MU6_SETTING_ENABLELANG
	Else
		Mu6Data->Settings->Flags	= Mu6Data->Settings->Flags And Not MU6_SETTING_ENABLELANG
	End If
	If GetPrivateProfileInt( "Settings", "NoMultiInstance", 0, Mu6Data->IniFile) Then
		Mu6Data->Settings->Flags	= Mu6Data->Settings->Flags Or MU6_SETTING_NOMULTIINST
	Else
		Mu6Data->Settings->Flags	= Mu6Data->Settings->Flags And Not MU6_SETTING_NOMULTIINST
	End If
	'' Playlist is only saved when the settings had changed
	GetPrivateProfileString( "Settings", "Playlist", Playlist, Mu6Data->Settings->Playlist, MAX_PATH, Mu6Data->IniFile )
End Sub

Sub SaveMu6Settings( _
	)

	If (Mu6Data->Settings->Flags And MU6_SETTING_TEMP) <> MU6_SETTING_TEMP Then
		WritePrivateProfileString( "Settings", "Volume", Str(Mu6Data->Settings->Volume), Mu6Data->IniFile)
		WritePrivateProfileString( "Settings", "MixRate", Str(Mu6Data->Settings->MixRate), Mu6Data->IniFile)
		WritePrivateProfileString( "Settings", "MaxChannels", Str(Mu6Data->Settings->MaxChannels), Mu6Data->IniFile)
		WritePrivateProfileString( "Settings", "InitFlags", Str(Mu6Data->Settings->InitFlags), Mu6Data->IniFile)
		WritePrivateProfileString( "Settings", "BufferSize", Str(Mu6Data->Settings->BufferSize), Mu6Data->IniFile)
		If (Mu6Data->Settings->Flags And MU6_SETTING_ENABLELANG) = MU6_SETTING_ENABLELANG Then
			WritePrivateProfileString( "Settings", "EnableLang", Str(1), Mu6Data->IniFile)
		Else
			WritePrivateProfileString( "Settings", "EnableLang", Str(0), Mu6Data->IniFile)
		End If
		If (Mu6Data->Settings->Flags And MU6_SETTING_NOMULTIINST) = MU6_SETTING_NOMULTIINST Then
			WritePrivateProfileString( "Settings", "NoMultiInstance", Str(1), Mu6Data->IniFile)
		Else
			WritePrivateProfileString( "Settings", "NoMultiInstance", Str(0), Mu6Data->IniFile)
		End If
	End If
	WritePrivateProfileString( "Settings", "LastSong", Str(Mu6Data->CurrSong), Mu6Data->IniFile)

End Sub

Sub InitLang( _
	ByVal hWin As HWND, _
	LangTableIds() As Integer, _
	LangTableDefaults() As String _
	)
	If Not (LBound(LangTableIds) = LBound(LangTableDefaults)) And _
	Not (UBound(LangTableIds) = UBound(LangTableDefaults)) Then Return
	SendMessage( hWin, WM_SETTEXT, 0, Cast( LPARAM, StrPtr( LangTableDefaults( LBound( LangTableDefaults ) ) ) ) )
	For i As UByte = LBound(LangTableIds) + 1 To UBound(LangTableIds)
		SendDlgItemMessage( hWin, LangTableIds(i), WM_SETTEXT, Cast( WPARAM, 0 ), Cast( LPARAM, StrPtr( LangTableDefaults( i ) ) ) )
	Next
End Sub